const Render = require('@prerenderer/renderer-puppeteer')

class MyRender extends Render {
  async handleRequestInterception (page, baseURL) {
    await page.setRequestInterception(true)
    page.on('request', req => {
      let reqUrl = req.url();

      if (!reqUrl.startsWith(baseURL)) {
        if (this._rendererOptions.skipThirdPartyRequests) {
          req.abort()
          return
        } else {
          reqUrl = reqUrl.replace(process.env.PUBLIC_PATH, `http://localhost:${this._rendererOptions.port}/`)
        }
      }

      req.continue({
        url: reqUrl
      })
    })
  }
}

module.exports = MyRender